POST api/Order/PlaceOrder
Request Information
URI Parameters
None.
Body Parameters
clsOrderDAL| Name | Description | Type | Additional information |
|---|---|---|---|
| OrderId | globally unique identifier |
None. |
|
| OrderNo | string |
None. |
|
| ProductName | string |
None. |
|
| Unit | string |
None. |
|
| UnitType | string |
None. |
|
| Rate | decimal number |
None. |
|
| RegistrationId | globally unique identifier |
None. |
|
| ContactNo | string |
None. |
|
| Date | date |
None. |
|
| Time | string |
None. |
|
| Longitude | string |
None. |
|
| Latitude | string |
None. |
|
| Status | string |
None. |
|
| DeliveryAddress | string |
None. |
|
| Quantity | integer |
None. |
|
| MonthlyPackage | string |
None. |
|
| RateBeforeDiscount | decimal number |
None. |
|
| ProductSubtitle | string |
None. |
|
| EstimatedDeliveryTime | string |
None. |
|
| EstimatedDeliveryDate | date |
None. |
|
| DeliveryRegistrationId | globally unique identifier |
None. |
|
| IsVoucher | boolean |
None. |
|
| VoucherId | globally unique identifier |
None. |
|
| ExchangeAmt | decimal number |
None. |
|
| CouponDiscountAmt | decimal number |
None. |
|
| NoOfBatteries | integer |
None. |
|
| Weight | decimal number |
None. |
|
| CouponName | string |
None. |
|
| FinalOrderPrice | decimal number |
None. |
|
| OrderSubTotal | decimal number |
None. |
|
| DeliveryCharges | decimal number |
None. |
|
| CGSTPercent | decimal number |
None. |
|
| CGSTAmount | decimal number |
None. |
|
| SGSTPercent | decimal number |
None. |
|
| SGSTAmount | decimal number |
None. |
|
| IGSTPercent | decimal number |
None. |
|
| IGSTAmount | decimal number |
None. |
|
| ProductPackageId | globally unique identifier |
None. |
|
| CartNo | integer |
None. |
|
| DealerRegistrationId | globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"orderId": "fb43287a-4cc8-4869-b367-4b890a721423",
"orderNo": "sample string 2",
"productName": "sample string 3",
"unit": "sample string 4",
"unitType": "sample string 5",
"rate": 6.0,
"registrationId": "f265ba0b-c45a-4aed-a518-58dd4cd5aa62",
"contactNo": "sample string 8",
"date": "2026-08-09T16:04:33.7596807+05:30",
"time": "sample string 10",
"longitude": "sample string 11",
"latitude": "sample string 12",
"status": "sample string 13",
"deliveryAddress": "sample string 14",
"quantity": 15,
"monthlyPackage": "sample string 16",
"rateBeforeDiscount": 17.0,
"productSubtitle": "sample string 18",
"estimatedDeliveryTime": "sample string 19",
"estimatedDeliveryDate": "2026-08-09T16:04:33.7596807+05:30",
"deliveryRegistrationId": "1c589881-81d3-4a71-8550-759eea02ffe6",
"isVoucher": true,
"voucherId": "a4732255-89b1-4557-b252-a061498a12b3",
"exchangeAmt": 24.0,
"couponDiscountAmt": 25.0,
"noOfBatteries": 26,
"weight": 27.0,
"couponName": "sample string 28",
"finalOrderPrice": 29.0,
"orderSubTotal": 30.0,
"deliveryCharges": 31.0,
"cgstPercent": 32.0,
"cgstAmount": 33.0,
"sgstPercent": 34.0,
"sgstAmount": 35.0,
"igstPercent": 36.0,
"igstAmount": 37.0,
"productPackageId": "9c689412-0b41-4425-84e3-ae494b384221",
"cartNo": 39,
"dealerRegistrationId": "3757726f-0b2b-4ab2-8808-c353308280da"
}
application/x-www-form-urlencoded
Sample:
Response Information
Resource Description
HttpResponseMessage| Name | Description | Type | Additional information |
|---|---|---|---|
| Version | Version |
None. |
|
| Content | HttpContent |
None. |
|
| StatusCode | HttpStatusCode |
None. |
|
| ReasonPhrase | string |
None. |
|
| Headers | Collection of Object |
None. |
|
| RequestMessage | HttpRequestMessage |
None. |
|
| IsSuccessStatusCode | boolean |
None. |